# PetscViewerMathematicaSetName

Override the default name for objects communicated to Mathematica

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscViewerMathematicaSetName(PetscViewer viewer, const char name[])

### Input Parameters

viewer -The Mathematica viewer
name -The name for new objects created in Mathematica

### Keywords

PetscViewer, Mathematica, name

### See Also

PetscViewerMathematicaSetName(), PetscViewerMathematicaClearName()

Level:intermediate
Location: src/sys/viewer/impls/mathematica/mathematica.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages